For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList verification requests
      • POSTCreate a verification request
      • GETGet a verification request
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsVerification Requests

Create a verification request

POST
/v1/verification_requests
POST
/v1/verification_requests
$curl -X POST https://api.givechariot.com/v1/verification_requests \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "ein": "123456789",
> "organization_name": "Local Community Foundation",
> "recommended_mailing_address": {
> "line1": "123 Main St",
> "city": "San Francisco",
> "state": "CA",
> "zip_code": "94105"
> }
>}'
1{
2 "id": "vr_01jpjen1s23s29kkmnjsb6fzga",
3 "ein": "123456789",
4 "organization_name": "Local Community Foundation",
5 "organization_id": "org_01j8rs605a4gctmbm58d87mvsj",
6 "status": "needs_review",
7 "website": "https://localfoundation.org",
8 "recommended_mailing_address": {
9 "line1": "123 Main St",
10 "city": "San Francisco",
11 "state": "CA",
12 "zip_code": "94105",
13 "line2": "Suite 100"
14 },
15 "verified_at": "2024-01-15T09:30:00Z",
16 "failed_at": "2024-01-15T09:30:00Z",
17 "created_at": "2020-01-31T23:00:00Z",
18 "updated_at": "2020-01-31T23:00:00Z"
19}
Request verification of an unlisted organization. If the organization cannot be found through Chariot's search, you can submit a verification request so that Chariot's compliance team can review and verify the organization.
Was this page helpful?
Previous

Get a verification request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The request to create a verification request for an unlisted organization.
einstringRequired
The EIN of the organization to verify
organization_namestringRequired
The name of the organization as known to the grantmaker
recommended_mailing_addressobjectRequired
A mailing address for the organization being verified.
websitestringOptional
The organization's website URL
contact_emailstringOptional
Contact email for the nonprofit organization.

Response

The verification request was created
idstringRead-only
Unique identifier for the verification request
einstring
The EIN of the organization being verified
organization_namestring
The name of the organization as provided by the grantmaker
organization_idstring
The ID of the Organization record for the nonprofit being verified.
statusenum

The status of the verification request. Possible values include:

  • needs_review: The request has been submitted and is awaiting review by Chariot’s compliance team
  • verified: The organization has been verified as tax-exempt and eligible for disbursements
  • failed: Chariot’s compliance team determined the organization is not eligible
Allowed values:
websitestring
The organization's website URL
recommended_mailing_addressobject
A mailing address for the organization being verified.
verified_atstringRead-onlyformat: "date-time"

When the organization was verified as tax-exempt and eligible for disbursements

failed_atstringRead-onlyformat: "date-time"
When the verification request was rejected
created_atstringRead-onlyformat: "date-time"
When the verification request was created
updated_atstringRead-onlyformat: "date-time"
When the verification request was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
412
Precondition Failed Error